Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class FuncDocument

    java.lang.Object
      |
      +--weblogic.apache.xpath.Expression
            |
            +--weblogic.apache.xpath.functions.Function
                  |
                  +--weblogic.apache.xpath.functions.FunctionOneArg
                        |
                        +--weblogic.apache.xpath.functions.Function2Args
                              |
                              +--weblogic.apache.xalan.templates.FuncDocument

public class FuncDocument
extends Function2Args

Execute the Doc() function. When the document function has exactly one argument and the argument is a node-set, then the result is the union, for each node in the argument node-set, of the result of calling the document function with the first argument being the string-value of the node, and the second argument being a node-set with the node as its only member. When the document function has two arguments and the first argument is a node-set, then the result is the union, for each node in the argument node-set, of the result of calling the document function with the first argument being the string-value of the node, and with the second argument being the second argument passed to the document function.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xpath.Expression
`m_slocator`

Constructor Summary
`FuncDocument()`

Method Summary
`void` | `checkNumberArgs(int argNum)` Overide the superclass method to allow one or two arguments.
`void` | `error(XPathContext xctxt, int msg, java.lang.Object[] args)` Tell the user of an error, and probably throw an exception.
`XObject` | `execute(XPathContext xctxt)` Execute the function.
`boolean` | `isNodesetExpr()` Tell if the expression is a nodeset expression.
`void` | `warn(XPathContext xctxt, int msg, java.lang.Object[] args)` Warn the user of a problem.

Methods inherited from class weblogic.apache.xpath.functions.Function2Args
`canTraverseOutsideSubtree, fixupVariables, getArg1, setArg`

Methods inherited from class weblogic.apache.xpath.functions.FunctionOneArg
`getArg0`

Methods inherited from class weblogic.apache.xpath.Expression
`asIterator, asNode, assertion, bool, execute, execute, executeCharsToContentHandler, isStableNumber, num, setSourceLocator, xstr`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncDocument

    public FuncDocument()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute the function. The function must return a valid object.

  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class Function

### error

    public void error(XPathContext xctxt,
                      int msg,
                      java.lang.Object[] args)
               throws javax.xml.transform.TransformerException

  Tell the user of an error, and probably throw an exception.

  Parameters:
    `xctxt` - The XPath runtime state.
    `msg` - The error message code
    `args` - Arguments to be used in the error message
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
    javax.xml.transform.TransformerException -
  Overrides:
    error in class Expression

### warn

    public void warn(XPathContext xctxt,
                     int msg,
                     java.lang.Object[] args)
              throws javax.xml.transform.TransformerException

  Warn the user of a problem.

  Parameters:
    `xctxt` - The XPath runtime state.
    `msg` - Warning message code
    `args` - Arguments to be used in the warning message
  Throws:
    XSLProcessorException - thrown if the active ProblemListener and XPathContext decide the error condition is severe enough to halt processing.
    javax.xml.transform.TransformerException -
  Overrides:
    warn in class Expression

### checkNumberArgs

    public void checkNumberArgs(int argNum)
                         throws WrongNumberArgsException

  Overide the superclass method to allow one or two arguments.

  Parameters:
    `argNum` - Number of arguments passed in to this function
  Throws:
    WrongNumberArgsException -
  Overrides:
    checkNumberArgs in class Function2Args

### isNodesetExpr

    public boolean isNodesetExpr()

  Tell if the expression is a nodeset expression. In other words, tell if you can execute asNode without an exception.

  Returns:
    true if the expression can be represented as a nodeset.
  Overrides:
    isNodesetExpr in class Expression

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference